Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 626846 - [abrt] setroubleshoot-server-2.2.93-1.fc13: browser.py:310:read_pipe:IndexError: list index out of range
[abrt] setroubleshoot-server-2.2.93-1.fc13: browser.py:310:read_pipe:IndexErr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
abrt_hash:a0e481da
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 10:47 EDT by sunny
Modified: 2011-06-28 10:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:04:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (509 bytes, text/plain)
2010-08-24 10:47 EDT, sunny
no flags Details

  None (edit)
Description sunny 2010-08-24 10:47:53 EDT
abrt version: 1.1.13
architecture: i686
cmdline: /usr/bin/python -Es /usr/bin/sealert -s
component: setroubleshoot
executable: /usr/bin/sealert
kernel: 2.6.33.6-147.2.4.fc13.i686.PAE
package: setroubleshoot-server-2.2.93-1.fc13
reason: browser.py:310:read_pipe:IndexError: list index out of range
release: Fedora release 13 (Goddard)
time: 1282660981
uid: 500

backtrace
-----
browser.py:310:read_pipe:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/setroubleshoot/browser.py", line 310, in read_pipe
    self.current_policy_label.set_markup("<small><b>%s: %s</b></small>\n" % (_("Policy Version"), line.split(" ")[1]))
IndexError: list index out of range

Local variables in innermost frame:
line: '\xe7\x9b\xae\xe5\x89\x8d\xef\xbc\x9a3.7.19-47.fc13\n'
self: <setroubleshoot.browser.BrowserApplet instance at 0xa10e36c>
Comment 1 sunny 2010-08-24 10:47:55 EDT
Created an attachment (id=440677)
File: backtrace
Comment 2 Daniel Walsh 2010-10-07 09:46:24 EDT
I believe this is fixed in setroubleshoot-2.2.102-1.fc13
Comment 3 Bug Zapper 2011-06-01 06:35:24 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-28 10:04:13 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.